Get all of the available roles that can be added to a user given a site_template that is added to the user

GET /users/site-template/availableRoles

Operation id: SiteTemplateService_ListAvailableRolesBySiteTemplate

Tags: SiteTemplateService

Parameters

Query parameters

NameTypeRequiredDescription
pageSizeinteger (int32)NoPage size for the list of roles. Required: false, Default: 10
pageTokenstringNoPage token for the list of roles. Required: false
siteTemplateIdstringNoId of the site_template. Required: true
sortFieldstringNoSort field valid values: displayName. Default: displayName, Required: false
sortTypestringNoSort Type for the results, Default: ASC, Required: false
tenantIdstringNoTenantId of the site. Required: false (False as this can be inferred from the token)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
availableRolesarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "availableRoles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "roleId": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "scope": {
            "type": "string"
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}